Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.datacache
Class KodoConcurrentQueryCache

    java.lang.Object
      org.apache.openjpa.lib.util.concurrent.AbstractConcurrentEventManager
          org.apache.openjpa.datacache.AbstractQueryCache
              org.apache.openjpa.datacache.ConcurrentQueryCache
                  kodo.datacache.KodoConcurrentQueryCache

All Implemented Interfaces:
  QueryCache, TypesChangedListener, RemoteCommitListener, Configurable, Closeable, EventManager

    public class KodoConcurrentQueryCache

extends ConcurrentQueryCache

Extended concurrent query cache for Kodo product.

Field Summary

Fields inherited from class org.apache.openjpa.datacache.AbstractQueryCache
`conf, log`

Constructor Summary
`KodoConcurrentQueryCache()`

Method Summary
`protected CacheMap` | `newCacheMap()`

Methods inherited from class org.apache.openjpa.datacache.ConcurrentQueryCache
`clearInternal, getCacheMap, getCacheSize, getInternal, getSoftReferenceSize, initialize, keySet, pinInternal, putInternal, removeInternal, setCacheSize, setSoftReferenceSize, unpinInternal, writeLock, writeUnlock`

Methods inherited from class org.apache.openjpa.datacache.AbstractQueryCache
`addTypesChangedListener, afterCommit, clear, close, close, endConfiguration, fireEvent, get, isClosed, newListenerCollection, onTypesChanged, pin, put, remove, removeAllInternal, removeTypesChangedListener, setConfiguration, startConfiguration, unpin`

Methods inherited from class org.apache.openjpa.lib.util.concurrent.AbstractConcurrentEventManager
`addListener, fireEvent, getListeners, hasListener, hasListeners, isFailFast, removeListener, setFailFast`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.event.RemoteCommitListener
`afterCommit, close`

Constructor Detail

### KodoConcurrentQueryCache

    public KodoConcurrentQueryCache()

Method Detail

### newCacheMap

    protected CacheMap newCacheMap()

  Overrides:
    `newCacheMap` in class `ConcurrentQueryCache`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.